#!/bin/bash

gmt gmtset MAP_FRAME_TYPE PLAIN
gmt gmtset PS_MEDIA letter



elon=`awk '{print $1}' epi.dat`
elat=`awk '{print $2}' epi.dat`

awk -F\; '{

x1=x0-$1
y1=y0-$2
x=sqrt((x0-$1)*(x0-$1));
y=sqrt((y0-$2)*(y0-$2));
b1=atan2(y,x);
a=sqrt(x*x+y*y);

b=b1*180.0/3.14159

d="---";
if( b <= 11.25 && x1 > 0) d="E";
if( b <= 11.25 && x1 < 0) d="O";
if( b >= 78.75 && y1 > 0) d="N";
if( b >= 78.75 && y1 < 0) d="S";

if( b > 11.25 && b <= 33.75 && x1 > 0 && y1 > 0 ) d="ENE";
if( b > 33.75 && b <= 56.25 && x1 > 0 && y1 > 0 ) d="NE";
if( b > 56.25 && b <= 78.75 && x1 > 0 && y1 > 0 ) d="NNE";



if( b > 11.25 && b <= 33.75 && x1 > 0 && y1 < 0 ) d="ESE";
if( b > 33.75 && b <= 56.25 && x1 > 0 && y1 < 0 ) d="SE";
if( b > 56.25 && b < 78.75 && x1 > 0 && y1 < 0 ) d="SSE";



if( b > 11.25 && b <= 33.75 && x1 < 0 && y1 > 0 ) d="ONO";
if( b > 33.75 && b <= 56.25 && x1 < 0 && y1 > 0 ) d="NO";
if( b > 56.25 && b < 78.75 && x1 < 0 && y1 > 0 ) d="NNO";


if( b > 11.25 && b <= 33.75 && x1 < 0 && y1 < 0 ) d="OSO";
if( b > 33.75 && b <= 56.25 && x1 < 0 && y1 < 0 ) d="SO";
if( b > 56.25 && b < 78.75 && x1 < 0 && y1 < 0 ) d="SSO";


printf"%f %s %f %s %s %s %f %s %f %s %s %s %s %s %s\n", a*109.3,";",b,";",d,";",x1,";",y1,";",$3,";",$4,";",$5

}' x0="$elon" y0="$elat" cantones_parciales_5.dat > calc1.dat

sort -n calc1.dat | head -n 10 > calc2.dat
sort -k 10 calc1.dat > dat3

gmt pstext -R0/1/-12/2 -JX8.2i/3.5i -X0.9i -Y1i -K -F+f14p,Helvetica-Bold,red,+a0+jML <<END> p.ps
0.05 0.5  Ubicaci\363n del epicentro a los 10 lugares m\341s cercanos.
0.87 0.5  Poblaci\363n
END

awk -F\; '{printf"%5.2f %2d %5.1f\n", 0.10,-NR,$1}' calc2.dat | gmt pstext -R -JX -O -K  -F+f14p,Helvetica+jMR >> p.ps
awk -F\; '{printf"%5.2f %2d  %8s\n", .97,-NR,$8}' calc2.dat | gmt pstext -R -JX -O -K -F+f14p,Helvetica+jMR >> p.ps

awk -F\; '{printf"%5.2f %2d %7s\n", 0.11,-NR," km al "}' calc2.dat | gmt pstext -R -JX -O -K  -F+f14p,Helvetica+jML >> p.ps
awk -F\; '{printf"%5.2f %2d %4s\n", 0.18,-NR,$3}' calc2.dat | gmt pstext -R -JX -O -K  -F+f14p,Helvetica+jML >> p.ps
awk -F\; '{printf"%5.2f %2d %4s\n", 0.24,-NR," de "}' calc2.dat | gmt pstext -R -JX -O -K  -F+f14p,Helvetica+jML >> p.ps
awk -F\; '{printf"%5.2f %2d %s %s\n", 0.28,-NR,$6,$7}' calc2.dat | gmt pstext -R -JX -O -K  -F+f14p,Helvetica+jML >> p.ps

gmt pstext -R -JX -O -F+f12p,Helvetica,blue,+jML <<END>> p.ps
0.05 -11.2 Poblaci\363n aproximada seg\372n el INEC (2011), La Gaceta No. 85 (2009) y Padr\363n Electoral del TSE (2011)
END


convert p.ps -background white -flatten -rotate 90 -crop 590x250+70+290  lugares_cercanos.png



